:root {
    --framecolor : navy;
    --bgcolor : azure;
    --headlink : azure;
    --textcolor : navy;
    --errorbg : red;
}

body {
    background : var(--bgcolor);
    font-size: x-large;
    font-family:  Arial,Helvetica,sans-serif;
    color: var(--textcolor);
}


label {
    display: inline-block;
    margin-left:1em;
    margin-right:2em;
}

input {
    margin:0.5em;
    border-radius:0.5em;
    font-size: large;
}

button {
    margin:0.5em;
    border-radius:0.5em;
    font-size: large;
}

.huge {
    font-weight: bold;
    font-size: x-large;
    margin:0.5em;
    padding:0.5em;
}

.linkright {
    text-align : right;
    font-weight: bold;
    font-size: normal;
    right:2em;
    margin:0.5em;
    padding:0.5em;
}

.maindiv {
    position: absolute;
    display: block;
    border : 2px solid var(--framecolor);
    border-radius:2em;
    top:3em;
    left:2em;
    right:2em;
    margin: auto;
    padding: .5em;
    text-align:center;

}

.maindiv p {
    margin-top: 1.5em;
    margin-bottom: 0.5em;
    font-weight: bold;
}

.headdiv {
    display: block;
    border : 2px solid var(--framecolor);
    border-radius: 2em;
    padding: 1em;
    background-color: var(--framecolor);
    color: var(--headlink);
    margin-bottom: 1em;
    text-align: center;
    box-shadow: 0.2em 0.2em 0.2em slategray;
    text-shadow: 0.1em 0.1em .1em slategray;
}
.cloud {
    text-align: center;
}
.cloud span {
    border: 2px solid var(--framecolor);
    border-radius: 0.5em;
    background-color: var(--framecolor);
    color: var(--headlink);
    text-align: center;
    margin: 1em;
}

.headdiv a {
    color: var(--headlink);
    text-decoration:none;
    margin-left: 3em;
    margin-right: 3em;
    font-weight: bold;
}

.message {
    display: none;
    border:2px solid var(--framecolor);
    border-radius: 1em;
    background: #a0e0FF;
    margin:auto;
    padding : 1em;
}

.error {
    display: none;
    border:2px solid var(--errorbg);
    border-radius: 1em;
    background: #ffe0a0;
    margin:auto;
    padding : 1em;
}

